Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010822
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2009-09-30 10:332009-10-17 00:00
ReporterplujanView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiond54363bb8b4a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010822: Message displayed when module license is over or not yet started is not correct

DescriptionIf I purchase a module and starting date of license is tomorrow (or later), or if my module has expired yesterday (or earlier), displayed message when trying to install/update is the same shown for non-purchased modules.
Steps To Reproduce1. Install a commercial module. Wait for next day after expiration date.
2. There is an update for that module, so try to update it. You get the message saying that a license is required (wrong. I have a license, but it is expired)
3. Purchase a module. Set license period to start tomorrow.
3. Go and try to install the module. You get the message saying that a license is required. (Wrong. I have a license, but it is not active yet)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010898 closedalostale Api check build 165 fails 
related to design defect 0011009 acknowledgedplatform Message displayed when module license is not yet started is not clear enough 

-  Notes
(0020812)
hgbot (developer)
2009-10-07 09:35

Repository: erp/devel/pi
Changeset: d54363bb8b4a0a6a43bd989f0043cbab35026747
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Oct 07 09:35:37 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d54363bb8b4a0a6a43bd989f0043cbab35026747 [^]

fixed bug 0010822: Message displayed when module license is over or not yet started is not correct

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement_ErrorCommercial.html
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement_ErrorCommercial.xml
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0021104)
iperdomo (developer)
2009-10-16 12:10

Check on pi @ rev 419cc2bd51fa

- Issue History
Date Modified Username Field Change
2009-09-30 10:33 plujan New Issue
2009-09-30 10:33 plujan Assigned To => alostale
2009-09-30 11:23 psarobe Priority normal => urgent
2009-09-30 11:23 psarobe Severity trivial => minor
2009-09-30 11:23 psarobe Status new => scheduled
2009-10-07 09:35 hgbot Checkin
2009-10-07 09:35 hgbot Note Added: 0020812
2009-10-07 09:35 hgbot Status scheduled => resolved
2009-10-07 09:35 hgbot Resolution open => fixed
2009-10-07 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d54363bb8b4a0a6a43bd989f0043cbab35026747 [^]
2009-10-07 14:01 shuehner Relationship added related to 0010898
2009-10-16 12:10 iperdomo Status resolved => closed
2009-10-16 12:10 iperdomo Note Added: 0021104
2009-10-16 12:10 iperdomo Fixed in Version => pi
2009-10-16 12:17 iperdomo Relationship added related to 0011009
2009-10-17 00:00 anonymous sf_bug_id 0 => 2880777


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker